Bug 82173

Summary: Maximized windows and the border around the close button.
Product: [Retired] Red Hat Linux Reporter: Mattias Dahlberg <voz>
Component: redhat-artworkAssignee: John (J5) Palmieri <johnp>
Status: CLOSED UPSTREAM QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: garrett, jkeck, mattdm, notting, wtogami
Target Milestone: ---Keywords: GraphicArt, Triaged
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-05 14:19:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 79579, 100644    

Description Mattias Dahlberg 2003-01-18 17:22:08 EST
Description of problem:

When using Bluecurve you can't close a maximized window by moving the mouse 
pointer to the top-right edge of the screen and click.

According to comments in GNOME's bugzilla this is a theme specific issue.
See http://bugzilla.gnome.org/show_bug.cgi?id=97703


How reproducible:
Always

Steps to Reproduce:
1. Maximize a window
2. Move the mouse pointer to the top-right corner of the screen
3. Click
Comment 1 Garrett LeSage 2003-07-31 12:27:25 EDT
I have looked at the theme and I don't see where it is an issue. Other themes I
have tried also have the same problem. 

If you know of a specific theme where it works properly, please let me know
which one it is.
Comment 2 Mattias Dahlberg 2003-08-01 06:03:26 EDT
Havoc can probably tell you more about this. I don't know of any Metacity 
themes that do this correctly, yet. Check out the bugzilla.gnome.org thread 
and if you have a Windows box around you can check out the desired behaviour.
Comment 3 Garrett LeSage 2003-08-01 08:39:56 EDT
Yes, I know the concept. It falls under "Fitts' Law".

KDE's developer site has more info on it:
http://developer.kde.org/documentation/design/ui/fittslaw.html

If a window is maximized and a panel is not at the top of the screen, then you should be able to 
slam the mouse infinitely in the direction of the button (especially to close the window) and be 
over the button to close the window.

Of course, this principle is not carried out for either Mac OS (OS X included) or Windows (95 and 
up). Also, it is an irrelevant concept if you do not run with everything maximized. Most people 
have resolutions at 1024x768 and higher. I doubt that all programs would all be maximized at 
1024 or higher.

Still, having a needless border around buttons is not great.
Comment 4 Mattias Dahlberg 2003-08-03 12:34:09 EDT
I don't know about MacOS, but Windows definitely follows Fitts' Law in this 
respect. I work in both environments, Windows and GNOME, and very much miss 
this feature in Bluecurve (or Metacity, dep. on where the change is needed).

And, I use 1024x768 on a couple of boxes and do maximize most applications 
(like my web browser and my e-mail client) so you can't just assume that 
people don't maximize their windows anymore. :)
Comment 5 Mattias Dahlberg 2003-10-05 13:00:19 EDT
To work around this I've added <border name="button_border" left="1" right="0" 
top="0" bottom="2"/> in the "normal maximized" section in metacity-theme-1.xml.

Of course it would have been nicer with the same functionality without 
changing the appearance, but while waiting for that this is good enough for me.
Comment 6 Bill Nottingham 2006-08-05 00:46:13 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Mattias Dahlberg 2006-08-05 14:19:12 EDT
Being worked on upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=97703